import { SimpleLocalIntegration } from '../../core/index.js';
import { AirqConfigFlow } from './airq.classes.configflow.js';
import { createAirqDiscoveryDescriptor } from './airq.discovery.js';
import type { IAirqConfig } from './airq.types.js';
import { airqDomain, airqProfile } from './airq.types.js';

export class AirqIntegration extends SimpleLocalIntegration<IAirqConfig> {
  public readonly domain = airqDomain;
  public readonly discoveryDescriptor = createAirqDiscoveryDescriptor();
  public readonly configFlow = new AirqConfigFlow();

  constructor() {
    super(airqProfile);
  }
}

export class HomeAssistantAirqIntegration extends AirqIntegration {}
